# Autogenerated wrapper script for Check_jll for aarch64-linux-musl
export libcheck

## Global variables
PATH = ""
LIBPATH = ""
LIBPATH_env = "LD_LIBRARY_PATH"
LIBPATH_default = ""

# Relative path to `libcheck`
const libcheck_splitpath = ["lib", "libcheck.so"]

# This will be filled out by __init__() for all products, as it must be done at runtime
libcheck_path = ""

# libcheck-specific global declaration
# This will be filled out by __init__()
libcheck_handle = C_NULL

# This must be `const` so that we can use it with `ccall()`
const libcheck = "libcheck.so.0"


"""
Open all libraries
"""
function __init__()
    global artifact_dir = abspath(artifact"Check")

    # Initialize PATH and LIBPATH environment variable listings
    global PATH_list, LIBPATH_list
    global libcheck_path = normpath(joinpath(artifact_dir, libcheck_splitpath...))

    # Manually `dlopen()` this right now so that future invocations
    # of `ccall` with its `SONAME` will find this path immediately.
    global libcheck_handle = dlopen(libcheck_path)
    push!(LIBPATH_list, dirname(libcheck_path))

    # Filter out duplicate and empty entries in our PATH and LIBPATH entries
    filter!(!isempty, unique!(PATH_list))
    filter!(!isempty, unique!(LIBPATH_list))
    global PATH = join(PATH_list, ':')
    global LIBPATH = join(vcat(LIBPATH_list, [joinpath(Sys.BINDIR, Base.LIBDIR, "julia"), joinpath(Sys.BINDIR, Base.LIBDIR)]), ':')

    
end  # __init__()

